[Solved] Update/Upgrade problème-problem

,

FRA

Bonjour, lors de mon essai de mise à jour, Yunohost me renvois ce message d’erreur :

Action :
PUT /upgrade
{“locale”:“fr”,“system”:""}

Trace :
Traceback (most recent call last):
File “/usr/lib/python2.7/dist-packages/moulinette/interfaces/api.py”, line 439, in process
ret = self.actionsmap.process(arguments, timeout=30, route=_route)
File “/usr/lib/python2.7/dist-packages/moulinette/actionsmap.py”, line 523, in process
return func(**arguments)
File “/usr/lib/moulinette/yunohost/log.py”, line 284, in func_wrapper
result = func(*args, **kwargs)
File “/usr/lib/moulinette/yunohost/tools.py”, line 663, in tools_upgrade
packages_list=’, '.join(noncritical_packages_upgradable))
TypeError: sequence item 0: expected string, dict found

Comment pouvoir mettre à jour mon Yunohost du coup ?

ENG

Hello, during my update test, Yunohost sends me back this error message:

Action :
PUT /upgrade
{“locale”:“fr”,“system”:""}

Trace :
Traceback (most recent call last):
File “/usr/lib/python2.7/dist-packages/moulinette/interfaces/api.py”, line 439, in process
ret = self.actionsmap.process(arguments, timeout=30, route=_route)
File “/usr/lib/python2.7/dist-packages/moulinette/actionsmap.py”, line 523, in process
return func(**arguments)
File “/usr/lib/moulinette/yunohost/log.py”, line 284, in func_wrapper
result = func(*args, **kwargs)
File “/usr/lib/moulinette/yunohost/tools.py”, line 663, in tools_upgrade
packages_list=’, '.join(noncritical_packages_upgradable))
TypeError: sequence item 0: expected string, dict found

How can I update my Yunohost ?

Bonjour,
Est-ce que c’est le même problème ?

Je n’ai pas l’impression, je n’ai pas de problème pour me logguer à la zone admin, je n’ai pas été déconnecté non plus.
Mais nginx a planté, je ne pouvais plus me connecter en ssh, et là nginx ‘bug’ pour peertube (une erreur 504), mais j’ai accès à dokuwiki et nextcloud par exemple.

Quand j’essaye de me connecter en ssh, le serveur plante et je n’y ai plus accès.

Le Yunohost est sur un VPS chez OVH.

Bon, j’ai essayé de redémarrer mon VPS pour relancer le tout, je n’ai plus accès à rien en ligne, le serveur n’est plus joignable. Mais je peux me connecter via la console directement (via l’interface d’OVH).

Je ne sais pas dans quelle direction aller pour comprendre d’où vient l’erreur puis de la résoudre :confused:

BOn en redémarrant, il se remet à fonctionner parfois. Mais chaque tentative de connexion ssh fait planter le serveur et je n’arrive plus à rien. Du coup il m’est difficile d’essayer la solution vers laquelle me dirige @anonyme18.

Help ^^"

Mouarf ben je sais pas trop pourquoi le serveur plante quand tu te connectes en SSH, mais si tu y arrives (tu peux aussi te connecter “en dur” depuis l’interface d’OVH) je pense qu’il te faut faire un apt update && apt dist-upgrade

Même en dur je n’y arrive pas, j’essaye de me logger et ça ne fonctionne pas, je peux taper mon nom d’utilisateur et mot de passe et quand ce n’est pas le bon login/mdp il me le dit, et si c’est le bon, ça remet l’écran de login.

Est-ce que tu essayes bien de te logguer en tant qu’admin ?

Ok, c’est bon, effectivement en admin je peux me connecter :slight_smile:
Du coup quand je lance le apt-get update et dist-upgrade j’ai ce soucis (imprim écran)


Lien vers l’image

Il s’agirait d’un problème avec Docker.
Et je ne sais plus pourquoi je l’avais installé, j’ai sur mon instance : nextcloud (avec onlyoffice), peertube, roundcube, dokuwiki, riot/synapse, opensondage.

Mais j’avais essayé plusieurs applications au début. A priori j’ai deux solution :

  • supprimer Docker, à priori il ne me sert à rien
  • réparer d’où vient le problème : mais je ne comprends pas d’où ça vient :confused:

Qu’en pensez-vous ?

À mon avis tu peux supprimer Docker yep

Bonjour,
Tu dois avoir une ligne “docker” dans tes sources.list.

Ok, merci à vous.

J’ai pu désinstaller docker-ce via

apt-get remove --auto-remove docker-ce

J’ai pu lancer :

yunohost tools update 
yunohost tools upgrade --system

Qui a fonctionné, cependant j’ai perdu mon nextcloud :confused:

Voici le log :

2019-11-28 18:23:30,874: DEBUG - 72914 + local username

2019-11-28 18:23:30,874: DEBUG - 72914 + ynh_handle_getopts_args --username=nextcloud
2019-11-28 18:23:30,874: DEBUG - 72914 + set +x
2019-11-28 18:23:30,876: DEBUG - 72914 + ynh_system_user_exists nextcloud
2019-11-28 18:23:30,876: DEBUG - 72914 + local legacy_args=u
2019-11-28 18:23:30,876: DEBUG - 72914 + args_array=([u]=username=)
2019-11-28 18:23:30,876: DEBUG - 72914 + declare -Ar args_array
2019-11-28 18:23:30,876: DEBUG - 72914 + local username
2019-11-28 18:23:30,877: DEBUG - 72914 + ynh_handle_getopts_args nextcloud
2019-11-28 18:23:30,877: DEBUG - 72915 + set +x
2019-11-28 18:23:30,877: DEBUG - 72915 + echo ‘! Helper used in legacy mode !’
2019-11-28 18:23:30,879: DEBUG - 72915 + set +x
2019-11-28 18:23:30,879: DEBUG - 72915 + getent passwd nextcloud
2019-11-28 18:23:30,879: DEBUG - 72915 + deluser nextcloud
2019-11-28 18:23:30,879: DEBUG - 73017 Removing user nextcloud' ... 2019-11-28 18:23:30,879: DEBUG - 73018 Warning: group nextcloud’ has no more members.
2019-11-28 18:23:30,980: DEBUG - 73119 Done.
2019-11-28 18:23:30,981: DEBUG - 73120 + ynh_system_group_exists nextcloud
2019-11-28 18:23:30,981: DEBUG - 73120 + local legacy_args=g
2019-11-28 18:23:30,981: DEBUG - 73120 + args_array=([g]=group=)
2019-11-28 18:23:30,981: DEBUG - 73120 + declare -Ar args_array
2019-11-28 18:23:30,982: DEBUG - 73121 + local group
2019-11-28 18:23:30,982: DEBUG - 73121 + ynh_handle_getopts_args nextcloud
2019-11-28 18:23:30,982: DEBUG - 73121 + set +x
2019-11-28 18:23:30,982: DEBUG - 73121 + echo ‘! Helper used in legacy mode !’
2019-11-28 18:23:30,982: DEBUG - 73121 + set +x
2019-11-28 18:23:30,982: DEBUG - 73121 + getent group nextcloud
2019-11-28 18:23:30,983: DEBUG - 73121 + ynh_script_progression ‘–message=Removal of nextcloud completed’ --last
2019-11-28 18:23:30,983: DEBUG - 73122 + set +x
2019-11-28 18:23:30,983: DEBUG - 73122 + set +x
2019-11-28 18:23:30,983: DEBUG - 73122 + echo ‘! Helper used in legacy mode !’
2019-11-28 18:23:30,983: DEBUG - 73122 + set +x
2019-11-28 18:23:30,984: DEBUG - 73122 + echo ‘[####################] > Removal of nextcloud completed’
2019-11-28 18:23:30,984: DEBUG - 73122 + set -x
2019-11-28 18:23:31,085: DEBUG - 73229 [####################] > Removal of nextcloud completed
2019-11-28 18:23:31,186: DEBUG - 73264 To view the log of the operation ‘Remove ‘nextcloud’ after a failed restore from a backup archive’, use the command ‘yunohost log display 20191128-172307-remove_on_failed_restore-nextcloud’
2019-11-28 18:23:31,186: WARNING - 73274 Nothing has been restored
2019-11-28 18:23:31,187: DEBUG - 73273 action [10722.1] executed in 72.987s
2019-11-28 18:23:31,187: WARNING - The app was restored to the way it was before the failed upgrade.
2019-11-28 18:23:31,188: DEBUG - + ynh_die ‘–message=The app was restored to the way it was before the failed upgrade.’
2019-11-28 18:23:31,188: DEBUG - + local legacy_args=mc
2019-11-28 18:23:31,188: DEBUG - + args_array=([m]=message= [c]=ret_code=)
2019-11-28 18:23:31,189: DEBUG - + declare -Ar args_array
2019-11-28 18:23:31,189: DEBUG - + local message
2019-11-28 18:23:31,189: DEBUG - + local ret_code
2019-11-28 18:23:31,189: DEBUG - + ynh_handle_getopts_args ‘–message=The app was restored to the way it was before the failed upgrade.’
2019-11-28 18:23:31,189: DEBUG - + set +x
2019-11-28 18:23:31,190: DEBUG - + echo ‘The app was restored to the way it was before the failed upgrade.’
2019-11-28 18:23:31,190: DEBUG - + exit 1
2019-11-28 18:23:31,320: ERROR - Impossible de mettre à jour nextcloud

Puis nextcloud a été retiré :

2019-11-28 18:22:16,848: DEBUG - + ynh_script_progression '--message=Removing the dedicated system user...'

2019-11-28 18:22:16,848: DEBUG - + set +x
2019-11-28 18:22:16,849: DEBUG - + set +x
2019-11-28 18:22:16,849: DEBUG - + echo ‘! Helper used in legacy mode !’
2019-11-28 18:22:16,849: DEBUG - + set +x
2019-11-28 18:22:16,849: DEBUG - + echo ‘[###################.] > Removing the dedicated system user…’
2019-11-28 18:22:16,849: DEBUG - + set -x
2019-11-28 18:22:16,849: DEBUG - + ynh_system_user_delete --username=nextcloud
2019-11-28 18:22:16,849: DEBUG - + local legacy_args=u
2019-11-28 18:22:16,849: DEBUG - + args_array=([u]=username=)
2019-11-28 18:22:16,849: DEBUG - + declare -Ar args_array
2019-11-28 18:22:16,849: DEBUG - + local username
2019-11-28 18:22:16,849: DEBUG - + ynh_handle_getopts_args --username=nextcloud
2019-11-28 18:22:16,849: DEBUG - + set +x
2019-11-28 18:22:16,850: DEBUG - + ynh_system_user_exists nextcloud
2019-11-28 18:22:16,850: DEBUG - + local legacy_args=u
2019-11-28 18:22:16,850: DEBUG - + args_array=([u]=username=)
2019-11-28 18:22:16,850: DEBUG - + declare -Ar args_array
2019-11-28 18:22:16,850: DEBUG - + local username
2019-11-28 18:22:16,850: DEBUG - + ynh_handle_getopts_args nextcloud
2019-11-28 18:22:16,850: DEBUG - + set +x
2019-11-28 18:22:16,850: DEBUG - + echo ‘! Helper used in legacy mode !’
2019-11-28 18:22:16,850: DEBUG - + set +x
2019-11-28 18:22:16,850: DEBUG - + getent passwd nextcloud
2019-11-28 18:22:16,850: DEBUG - + deluser nextcloud
2019-11-28 18:22:16,951: DEBUG - Removing user nextcloud' ... 2019-11-28 18:22:16,951: DEBUG - Warning: group nextcloud’ has no more members.
2019-11-28 18:22:17,152: DEBUG - Done.
2019-11-28 18:22:17,254: DEBUG - + ynh_system_group_exists nextcloud
2019-11-28 18:22:17,254: DEBUG - + local legacy_args=g
2019-11-28 18:22:17,255: DEBUG - + args_array=([g]=group=)
2019-11-28 18:22:17,255: DEBUG - + declare -Ar args_array
2019-11-28 18:22:17,255: DEBUG - + local group
2019-11-28 18:22:17,255: DEBUG - + ynh_handle_getopts_args nextcloud
2019-11-28 18:22:17,255: DEBUG - + set +x
2019-11-28 18:22:17,255: DEBUG - + echo ‘! Helper used in legacy mode !’
2019-11-28 18:22:17,255: DEBUG - + set +x
2019-11-28 18:22:17,256: DEBUG - + getent group nextcloud
2019-11-28 18:22:17,256: DEBUG - + ynh_script_progression ‘–message=Removal of nextcloud completed’ --last
2019-11-28 18:22:17,256: DEBUG - + set +x
2019-11-28 18:22:17,256: DEBUG - + set +x
2019-11-28 18:22:17,256: DEBUG - + echo ‘! Helper used in legacy mode !’
2019-11-28 18:22:17,256: DEBUG - + set +x
2019-11-28 18:22:17,257: DEBUG - + echo ‘[####################] > Removal of nextcloud completed’
2019-11-28 18:22:17,257: DEBUG - + set -x
2019-11-28 18:22:17,257: INFO - [####################] > Removal of nextcloud completed
2019-11-28 18:22:17,309: SUCCESS - nextcloud has been removed
2019-11-28 18:22:17,309: DEBUG - system hook folder not found for action ‘post_app_remove’ in /usr/share/yunohost/hooks/
2019-11-28 18:22:17,310: DEBUG - custom hook folder not found for action ‘post_app_remove’ in /etc/yunohost/hooks.d/
2019-11-28 18:22:17,733: SUCCESS - The SSOwat configuration has been generated

Puis la restauration a échouée :

2019-11-28 18:23:07,126: WARNING - e[34me[1m[DEBUG]e[0m: DEBUG   - Processing triggers for systemd (232-25+deb9u12) ...

2019-11-28 18:23:07,126: DEBUG - + ynh_handle_getopts_args ‘–message=!!\n nextcloud’’‘s script has encountered an error. Its execution was cancelled.\n!!’
2019-11-28 18:23:07,126: WARNING - e[34me[1m[DEBUG]e[0m: DEBUG - Processing triggers for man-db (2.7.6.1-2) …
2019-11-28 18:23:07,127: DEBUG - + set +x
2019-11-28 18:23:07,127: WARNING - e[34me[1m[DEBUG]e[0m: DEBUG - Setting up libtalloc2:amd64 (2.1.8-1) …
2019-11-28 18:23:07,127: DEBUG - + ynh_print_log ‘\e[91m\e[1m[ERR]\e[0m !!\n nextcloud’’‘s script has encountered an error. Its execution was cancelled.\n!!’
2019-11-28 18:23:07,128: WARNING - e[34me[1m[DEBUG]e[0m: DEBUG - Setting up python-talloc (2.1.8-1) …
2019-11-28 18:23:07,128: DEBUG - + echo -e ‘\e[91m\e[1m[ERR]\e[0m !!\n nextcloud’’‘s script has encountered an error. Its execution was cancelled.\n!!’
2019-11-28 18:23:07,128: WARNING - e[34me[1m[DEBUG]e[0m: DEBUG - Setting up libtevent0:amd64 (0.9.31-1) …
2019-11-28 18:23:07,128: DEBUG - + ‘[’ cli == cli ‘]’
2019-11-28 18:23:07,129: WARNING - e[34me[1m[DEBUG]e[0m: DEBUG - Setting up libldb1:amd64 (2:1.1.27-1+deb9u1) …
2019-11-28 18:23:07,129: DEBUG - + set +x
2019-11-28 18:23:07,129: WARNING - e[34me[1m[DEBUG]e[0m: DEBUG - Setting up samba-libs:amd64 (2:4.5.16+dfsg-1+deb9u2) …
2019-11-28 18:23:07,130: DEBUG - + type -t ynh_clean_setup
2019-11-28 18:23:07,130: WARNING - e[34me[1m[DEBUG]e[0m: DEBUG - Setting up libsmbclient:amd64 (2:4.5.16+dfsg-1+deb9u2) …
2019-11-28 18:23:07,131: DEBUG - + ynh_die
2019-11-28 18:23:07,131: WARNING - e[34me[1m[DEBUG]e[0m: DEBUG - Setting up smbclient (2:4.5.16+dfsg-1+deb9u2) …
2019-11-28 18:23:07,131: DEBUG - + local legacy_args=mc
2019-11-28 18:23:07,132: WARNING - e[34me[1m[DEBUG]e[0m: DEBUG - Processing triggers for libc-bin (2.24-11+deb9u4) …
2019-11-28 18:23:07,132: DEBUG - + args_array=([m]=message= [c]=ret_code=)
2019-11-28 18:23:07,132: WARNING - e[34me[1m[DEBUG]e[0m: DEBUG - Errors were encountered while processing:
2019-11-28 18:23:07,132: DEBUG - + declare -Ar args_array
2019-11-28 18:23:07,133: WARNING - e[34me[1m[DEBUG]e[0m: DEBUG - docker-ce
2019-11-28 18:23:07,133: DEBUG - + local message
2019-11-28 18:23:07,133: WARNING - e[34me[1m[DEBUG]e[0m: DEBUG - + ynh_die ‘–message=Unable to install dependencies’
2019-11-28 18:23:07,133: DEBUG - + local ret_code
2019-11-28 18:23:07,134: WARNING - e[34me[1m[DEBUG]e[0m: WARNING - E: Sub-process /usr/bin/dpkg returned an error code (1)
2019-11-28 18:23:07,134: DEBUG - + ynh_handle_getopts_args
2019-11-28 18:23:07,134: WARNING - e[34me[1m[DEBUG]e[0m: DEBUG - + local legacy_args=mc
2019-11-28 18:23:07,134: DEBUG - + set +x
2019-11-28 18:23:07,134: WARNING - e[34me[1m[DEBUG]e[0m: WARNING - Unable to install dependencies
2019-11-28 18:23:07,135: DEBUG - + echo ‘’
2019-11-28 18:23:07,135: WARNING - e[34me[1m[DEBUG]e[0m: DEBUG -=ret_code=)
2019-11-28 18:23:07,135: DEBUG - + exit 1
2019-11-28 18:23:07,135: WARNING - e[34me[1m[DEBUG]e[0m: DEBUG - + declare -Ar args_array
2019-11-28 18:23:07,135: WARNING - e[34me[1m[DEBUG]e[0m: DEBUG - + local message
2019-11-28 18:23:07,135: WARNING - e[34me[1m[DEBUG]e[0m: DEBUG - + local ret_code
2019-11-28 18:23:07,136: WARNING - e[34me[1m[DEBUG]e[0m: DEBUG - + ynh_handle_getopts_args ‘–message=Unable to install dependencies’
2019-11-28 18:23:07,136: WARNING - e[34me[1m[DEBUG]e[0m: DEBUG - + set +x
2019-11-28 18:23:07,136: WARNING - e[34me[1m[DEBUG]e[0m: DEBUG - + echo ‘Unable to install dependencies’
2019-11-28 18:23:07,136: WARNING - e[34me[1m[DEBUG]e[0m: DEBUG - + exit 1
2019-11-28 18:23:07,137: WARNING - e[34me[1m[DEBUG]e[0m: DEBUG - + ynh_exit_properly
2019-11-28 18:23:07,137: WARNING -
2019-11-28 18:23:07,280: ERROR - Unable to restore the app ‘nextcloud’
Traceback (most recent call last):
File “/usr/lib/moulinette/yunohost/backup.py”, line 1325, in _restore_app
env=env_dict)[0]
File “/usr/lib/moulinette/yunohost/hook.py”, line 397, in hook_exec
raise YunohostError(‘hook_exec_failed’, =)
YunohostError: Script execution failed: /tmp/restore2BJMN6/restore

Nextcloud a donc été retiré :

2019-11-28 18:23:30,764: DEBUG - + for i in $(ls /home)

2019-11-28 18:23:30,764: DEBUG - + [[ ! yunohost.docker == yunohost.* ]]
2019-11-28 18:23:30,764: DEBUG - + for i in $(ls /home)
2019-11-28 18:23:30,764: DEBUG - + [[ ! yunohost.multimedia == yunohost.* ]]
2019-11-28 18:23:30,764: DEBUG - + ynh_script_progression ‘–message=Removing the dedicated system user…’
2019-11-28 18:23:30,765: DEBUG - + set +x
2019-11-28 18:23:30,765: DEBUG - + set +x
2019-11-28 18:23:30,765: DEBUG - + echo ‘! Helper used in legacy mode !’
2019-11-28 18:23:30,765: DEBUG - + set +x
2019-11-28 18:23:30,765: DEBUG - + echo ‘[###################.] > Removing the dedicated system user…’
2019-11-28 18:23:30,765: DEBUG - + set -x
2019-11-28 18:23:30,765: DEBUG - + ynh_system_user_delete --username=nextcloud
2019-11-28 18:23:30,765: DEBUG - + local legacy_args=u
2019-11-28 18:23:30,766: DEBUG - + args_array=([u]=username=)
2019-11-28 18:23:30,766: DEBUG - + declare -Ar args_array
2019-11-28 18:23:30,766: DEBUG - + local username
2019-11-28 18:23:30,766: DEBUG - + ynh_handle_getopts_args --username=nextcloud
2019-11-28 18:23:30,766: DEBUG - + set +x
2019-11-28 18:23:30,766: DEBUG - + ynh_system_user_exists nextcloud
2019-11-28 18:23:30,766: DEBUG - + local legacy_args=u
2019-11-28 18:23:30,766: DEBUG - + args_array=([u]=username=)
2019-11-28 18:23:30,766: DEBUG - + declare -Ar args_array
2019-11-28 18:23:30,767: DEBUG - + local username
2019-11-28 18:23:30,767: DEBUG - + ynh_handle_getopts_args nextcloud
2019-11-28 18:23:30,767: DEBUG - + set +x
2019-11-28 18:23:30,767: DEBUG - + echo ‘! Helper used in legacy mode !’
2019-11-28 18:23:30,767: DEBUG - + set +x
2019-11-28 18:23:30,767: DEBUG - + getent passwd nextcloud
2019-11-28 18:23:30,767: DEBUG - + deluser nextcloud
2019-11-28 18:23:30,870: DEBUG - Removing user nextcloud' ... 2019-11-28 18:23:30,870: DEBUG - Warning: group nextcloud’ has no more members.
2019-11-28 18:23:30,971: DEBUG - Done.
2019-11-28 18:23:30,972: DEBUG - + ynh_system_group_exists nextcloud
2019-11-28 18:23:30,972: DEBUG - + local legacy_args=g
2019-11-28 18:23:30,972: DEBUG - + args_array=([g]=group=)
2019-11-28 18:23:30,973: DEBUG - + declare -Ar args_array
2019-11-28 18:23:30,973: DEBUG - + local group
2019-11-28 18:23:30,973: DEBUG - + ynh_handle_getopts_args nextcloud
2019-11-28 18:23:30,973: DEBUG - + set +x
2019-11-28 18:23:30,973: DEBUG - + echo ‘! Helper used in legacy mode !’
2019-11-28 18:23:30,973: DEBUG - + set +x
2019-11-28 18:23:30,974: DEBUG - + getent group nextcloud
2019-11-28 18:23:30,974: DEBUG - + ynh_script_progression ‘–message=Removal of nextcloud completed’ --last
2019-11-28 18:23:30,974: DEBUG - + set +x
2019-11-28 18:23:30,974: DEBUG - + set +x
2019-11-28 18:23:30,974: DEBUG - + echo ‘! Helper used in legacy mode !’
2019-11-28 18:23:30,974: DEBUG - + set +x
2019-11-28 18:23:30,974: DEBUG - + echo ‘[####################] > Removal of nextcloud completed’
2019-11-28 18:23:30,975: DEBUG - + set -x
2019-11-28 18:23:31,081: INFO - [####################] > Removal of nextcloud completed

Mes données ont-elles été perdues ? Comment ré-installer nextcloud sans tout perdre ?

Salut,

apriori tes données n’ont pas été perdues … Par contre il y a l’air d’avoir toujours des traces de docker-ce …

Du coup je tenterais :

apt remove docker-ce --purge

et/ou

dpkg --configure -a

Ok, ça s’est fait :slight_smile:

(merci pour tes coups de main !)

J’ai fais les deux (remove et dpkg)

Par ailleurs, je peux me connecter en ssh sans soucis maintenant.

Par contre du coup, pour nextcloud, je fais comment ?

Avant ça, est-ce que tu peux partager les logs des deux commandes pour valider que ça a bien enlevé des morceaux restant de docker-ce ?

Je l’obtiens comment le log ?

Pour le remove, la console m’a renvoyé :

sudo apt remove docker-ce --purge

Reading package lists… Done
Building dependency tree
Reading state information… Done
The following packages will be REMOVED:
docker-ce*
0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n]
(Reading database … 100323 files and directories currently installed.)
Purging configuration files for docker-ce (5:19.03.5~3-0~debian-stretch) …
Processing triggers for systemd (232-25+deb9u12) …

Pour le dpkg, je n’ai pas eu de retour, puis j’ai relancé un update et dist-upgrade, voici le résultat :
Info: Fetching available upgrades for system packages…
Warning: W: Target Packages (main/binary-amd64/Packages) is configured multiple times in /etc/apt/sources.list.d/nodesource.list:1 and /etc/apt/sources.list.d/onlyoffice.list:1
Warning: W: Target Packages (main/binary-all/Packages) is configured multiple times in /etc/apt/sources.list.d/nodesource.list:1 and /etc/apt/sources.list.d/onlyoffice.list:1
Warning: W: Target Translations (main/i18n/Translation-en) is configured multiple times in /etc/apt/sources.list.d/nodesource.list:1 and /etc/apt/sources.list.d/onlyoffice.list:1
Warning: W: Target Packages (main/binary-amd64/Packages) is configured multiple times in /etc/apt/sources.list.d/nodesource.list:1 and /etc/apt/sources.list.d/onlyoffice.list:1
Warning: W: Target Packages (main/binary-all/Packages) is configured multiple times in /etc/apt/sources.list.d/nodesource.list:1 and /etc/apt/sources.list.d/onlyoffice.list:1
Warning: W: Target Translations (main/i18n/Translation-en) is configured multiple times in /etc/apt/sources.list.d/nodesource.list:1 and /etc/apt/sources.list.d/onlyoffice.list:1
Error: Some errors happened while updating the cache of APT (Debian’s package manager). Here is a dump of the sources.list lines which might help to identify problematic lines :
sources.list:deb http://deb.debian.org/debian stretch main contrib non-free
sources.list:deb-src http://deb.debian.org/debian stretch main contrib non-free
sources.list:deb http://security.debian.org/ stretch/updates main contrib non-free
sources.list:deb-src http://security.debian.org/ stretch/updates main contrib non-free
sources.list:deb http://deb.debian.org/debian stretch-updates main contrib non-free
sources.list:deb-src http://deb.debian.org/debian stretch-updates main contrib non-free
sources.list.d/yunohost.list:deb http://forge.yunohost.org/debian/ stretch stable
sources.list.d/onlyoffice.list:deb https://deb.nodesource.com/node_8.x stretch main
sources.list.d/onlyoffice.list:deb http://download.onlyoffice.com/repo/debian squeeze main
sources.list.d/docker.list:deb [arch=amd64] https://download.docker.com/linux/debian stretch stable
sources.list.d/nodesource.list:deb https://deb.nodesource.com/node_8.x stretch main
sources.list.d/nodesource.list:deb-src https://deb.nodesource.com/node_8.x stretch main
Info: Fetching available upgrades for applications…
Success! The application list yunohost has been fetched
apps:
0:
current_version: 1.3.2~ynh1
id: riot
label: Riot
new_version: 1.5.3~ynh1
1:
current_version: 1.3.1~ynh1
id: peertube
label: PeerTube
new_version: 2.0.0~ynh1
system:
root@kapussinettes:/home/admin# yunohost tools upgrade --system
Info: Nothing to do! Everything is already up to date!
Info: Upgrading packages…
Success! The system has been upgraded

Docker semble être encore dans ma source.list. J’ai un fichier docker.list dans mon /etc/apt/sources.list.d/.
Est-ce que je le supprime ? On s’en fiche ?

Par log, je voulais effectivement dire que la console t’as renvoyé :stuck_out_tongue_winking_eye:

Oui ca peut etre bien je pense

Sinon ensuite tu peux tenter de re-restaurer ton Nextcloud avec yunohost backup restore <le nom du backup> (tu peux retrouver le nom avec yunohost backup list)

(Tu peux aussi faire la meme chose depuis la webadmin normalement)

Bon, du coup j’ai lancé la restore, mais je n’ai plus d’accès web, je peux me connecter en ssh par contre.
Voici ce que m’avais renvoyé la commance :

 yunohost backup list

archives:

  • nextcloud-pre-upgrade1
  • synapse-pre-upgrade1
    root@kapussinettes:/etc/apt/sources.list.d# yunohost backup restore nextcloud-pre-upgrade1
    Warning: YunoHost is already installed
    Do you really want to restore an already installed system? [y/N]: y
    Info: Preparing archive for restoration…
    Info: Restoring application nextcloud…
    Info: […] > Loading settings…
    Info: [+…] > Validating restoration parameters…
    Info: [#…] > Restoring the app main directory…
    Info: [#++…] > Restoring the MySQL database…
    Info: [###…] > Recreating the dedicated system user…
    Info: [###+++++++++++++…] > Reinstalling dependencies…
    Warning: W: Target Packages (main/binary-amd64/Packages) is configured multiple times in /etc/apt/sources.list.d/nodesource.list:1 and /etc/apt/sources.list.d/onlyoffice.list:1
    Warning: W: Target Packages (main/binary-all/Packages) is configured multiple times in /etc/apt/sources.list.d/nodesource.list:1 and /etc/apt/sources.list.d/onlyoffice.list:1
    Warning: W: Target Translations (main/i18n/Translation-en_US) is configured multiple times in /etc/apt/sources.list.d/nodesource.list:1 and /etc/apt/sources.list.d/onlyoffice.list:1
    Warning: W: Target Translations (main/i18n/Translation-en) is configured multiple times in /etc/apt/sources.list.d/nodesource.list:1 and /etc/apt/sources.list.d/onlyoffice.list:1
    Warning: W: Target Packages (main/binary-amd64/Packages) is configured multiple times in /etc/apt/sources.list.d/nodesource.list:1 and /etc/apt/sources.list.d/onlyoffice.list:1
    Warning: W: Target Packages (main/binary-all/Packages) is configured multiple times in /etc/apt/sources.list.d/nodesource.list:1 and /etc/apt/sources.list.d/onlyoffice.list:1
    Warning: W: Target Translations (main/i18n/Translation-en_US) is configured multiple times in /etc/apt/sources.list.d/nodesource.list:1 and /etc/apt/sources.list.d/onlyoffice.list:1
    Warning: W: Target Translations (main/i18n/Translation-en) is configured multiple times in /etc/apt/sources.list.d/nodesource.list:1 and /etc/apt/sources.list.d/onlyoffice.list:1
    Info: [################+…] > Restoring data directory…
    Warning: 2019-11-30 19:01:49 URL:https://codeload.github.com/YunoHost-Apps/yunohost.multimedia/tar.gz/v1.2 [15921] -> “v1.2.tar.gz” [1]
    Info: [#################+…] > Adding multimedia directories…
    Info: [##################+.] > Restoring the fail2ban configuration…
    Info: [###################.] > Reloading nginx web server and php-fpm…
    Success! The SSOwat configuration has been generated
    Success! Restore complete
    apps:
    nextcloud: Success
    system:

Hmokay … Est-ce que tu peux tenter de voir si nginx est démarré avec systemctl status nginx, puis si non le redemarrer avec systemctl restart nginx, puis si ça veut pas, regarder si nginx -t râle ?

C’est bon !!! Le temps que je remette les mains à la pate le serveur était guéri !!
Mais j’avais un problème d’affichage de Nextcloud dans le navigateur web (différents essayés), puis là ce matin ça marche tout seul …

Merci en tout cas pour tes conseils et ton aide @Aleks :slight_smile:

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.